Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 101267)
+++ channels/chan_sip.c	(working copy)
@@ -3907,10 +3907,12 @@
 		res = -1;
 		break;
 	case AST_CONTROL_HOLD:
-		ast_moh_start(ast, data, p->mohinterpret);
+		if (ast->_state == AST_STATE_UP)
+			ast_moh_start(ast, data, p->mohinterpret);
 		break;
 	case AST_CONTROL_UNHOLD:
-		ast_moh_stop(ast);
+		if (ast->_state == AST_STATE_UP)
+			ast_moh_stop(ast);
 		break;
 	case AST_CONTROL_VIDUPDATE:	/* Request a video frame update */
 		if (p->vrtp && !ast_test_flag(&p->flags[0], SIP_NOVIDEO)) {
